@echo off

set argC=0
for %%x in (%*) do Set /A argC+=1

rem if %argC% GTR 5 (
rem    echo invalid parameters - compile - parameters count more than 5
rem    exit
rem )

rem if %argC% LSS 4 (
rem    echo invalid parameters - compile - parameters count less than 4
rem    exit
rem )

set target_dir=%1
set target=%2
set configuration=%3
set output=%4
set install=%5
set buildType=%6

echo "target dir:%target_dir%, target:%target%, configuration:%configuration%"

cd %~dp0
cd %target_dir%

jom clean
rd /s /q tmp
if /i "%configuration%"=="debug" (
   qmake "%target%.pro" -spec win32-msvc "CONFIG+=debug" "CONFIG+=qml_debug" "CONFIG+=force_debug_info" "CONFIG+=separate_debug_info"
   jom -f Makefile qmake_all
   if /i "%install%"=="install" (
      jom -f Makefile.Debug install
   ) else (
      jom -f Makefile.Debug
   )
) else (
   qmake "%target%.pro" -spec win32-msvc "CONFIG+=qtquickcompiler" "CONFIG+=force_debug_info" "CONFIG+=separate_debug_info"
   jom -f Makefile qmake_all
   if /i "%install%"=="install" (
      jom -f Makefile.Release install
   ) else (
      jom -f Makefile.Release
   )
)

cd %~dp0
if /i "%buildType%"=="app" (
   XCOPY %target_dir%\%configuration%\%target%.* %output% /s /y
) else (
   if /i "%buildType%"=="dll" (
      if /i "%target%"=="XYFrameless" (
         XCOPY .\..\..\XYMeetingKit_DLLs\frameless\%configuration%\%target%.* %output% /s /y
      ) else (
         XCOPY .\..\..\XYMeetingKit_DLLs\%configuration%\%target%.* %output% /s /y
      )
   )
)

cd %~dp0