﻿#ifndef NETWORKDATASHOW_H
#define NETWORKDATASHOW_H

#include <QMainWindow>
#include <QTimer>
#include <QTableWidget>
#include <QLabel>
#include <QMouseEvent>
#include <QFile>
#include <QHeaderView>
#include <QTextCodec>
#include <QScrollArea>
#include "NemoSdkAdaptor.h"
namespace Ui {
class NetWorkDataShow;
}

class NetWorkDataShow : public QMainWindow
{
    Q_OBJECT

public:
    explicit NetWorkDataShow(QWidget *parent = nullptr);
    ~NetWorkDataShow();

signals:
	void closeNetWorkDataShow();

protected:
	void mousePressEvent(QMouseEvent *event);
	void mouseMoveEvent(QMouseEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
private:
	QTableWidget*NetDetect = nullptr;
	QPoint m_startPoint;
	QPoint m_windowPoint;
	QTimer *timer;
    Ui::NetWorkDataShow *ui;
	QLabel*Label1;
	int RowCount = 0;
	QString str;
	QByteArray arr, by;
	const char*ch=nullptr;
	int *array = nullptr;
    int pos=0;
private slots:
	void onTimeout();
};

#endif // NETWORKDATASHOW_H
