﻿#ifndef BASEPAGERWIDGET_H
#define BASEPAGERWIDGET_H

#include <QWidget>
#include <QFile>
#include <QDebug>

class BasePagerWidget : public QWidget
{

public:
    explicit BasePagerWidget(QWidget *parent = nullptr);
    virtual ~BasePagerWidget();

public:
    virtual void onPagerStateChanged(bool isVisibleToUser) = 0;
    QString readStyleSheet(const QString& filePath);

};

#endif // BASEPAGERWIDGET_H
