﻿#ifndef BULKROSTERTESTDIALOG_H
#define BULKROSTERTESTDIALOG_H

#include <QDialog>

#include "NemoSdkAdaptor.h"

namespace Ui {
class BulkRosterTestDialog;
}

class BulkRosterTestDialog : public QDialog
{
    Q_OBJECT

public:
    explicit BulkRosterTestDialog(QWidget *parent = nullptr);
    ~BulkRosterTestDialog();

    void clear();

signals:
    void sigBulkRosterCalluriChanged(const std::vector<QString>& calluri);

private:
    Ui::BulkRosterTestDialog *ui;
    SDKRosterInfo rosterInfo;
    std::vector<QString> callUris;
};

#endif // BULKROSTERTESTDIALOG_H
