@echo off

set argC=0
for %%x in (%*) do Set /A argC+=1

if %argC% GTR 1 (
   echo error : parameters break limit
)

set release_type=%1
set temp_dir=cppdemo_release_temp
set temp_exe_dir=%temp_dir%\exe

set nemosdk_dir=.\..\..\cpp-sdk\

call env.bat

cd %~dp0
cd .\..\
if exist %temp_dir%  rm -rf %temp_dir%

set foldername=release_v3.3.0_%date:~0,4%%date:~5,2%%date:~8,2%
echo %foldername%

echo ************************ build nemo sdk enter ************************

   cd %~dp0
   echo %~dp0
   cd .\..\..\cpp-sdk\build\win\NemoSDK\
   call build_cpp_SDK.bat .\..\..\..\..\cpp-demo\cppdemo_release_temp\%foldername%
   
echo ************************ build nemo sdk exit ************************


echo ************************ build exe enter ************************

   cd %~dp0
   call compile.bat ..\..\cpp-demo xydemo release .\..\%temp_exe_dir%\ none app
   
echo ************************ build exe exit ************************
   

echo ************************ windeployqt enter ************************
	
	cd .\..\%temp_exe_dir%\
	windeployqt xydemo.exe
	
echo ************************ windeployqt exit ************************

echo ************************ copy libs enter ************************
	
	cd %~dp0
	XCOPY .\common_libs\* .\..\%temp_dir%\%foldername%\libs\ /s /y
	XCOPY .\..\%temp_dir%\%foldername%\libs\* .\..\%temp_exe_dir%\ /s /y
	
echo ************************ copy libs exit ************************

echo ************************ Compressing folder enter ************************

	.\7z.exe a -tzip %~dp0\..\%temp_dir%\%foldername%.zip %~dp0\..\%temp_dir%\%foldername%\
	.\7z.exe a -tzip %~dp0\..\%temp_dir%\%foldername%_exe.zip %~dp0\..\%temp_dir%\exe\
	.\7z.exe a -tzip %~dp0\..\%temp_dir%\NemoSDK.pdb.zip %~dp0\..\%temp_dir%\NemoSDK.pdb
	
echo ************************ Compressing folder done ************************

exit 0